# Uses of Interface
org.eclipse.ui.ISaveablesLifecycleListener

Packages that use ISaveablesLifecycleListener
Package
Description
org.eclipse.compare.internal
org.eclipse.ui.internal
org.eclipse.ui.navigator
Provides the Common Navigator framework.

## Uses of ISaveablesLifecycleListener in org.eclipse.compare.internal

Classes in org.eclipse.compare.internal that implement ISaveablesLifecycleListener
Modifier and Type
Class
Description
`class`
`CompareEditor`
A CompareEditor takes a ICompareEditorInput as input.

## Uses of ISaveablesLifecycleListener in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement ISaveablesLifecycleListener
Modifier and Type
Class
Description
`class`
`SaveablesList`
The model manager maintains a list of open saveable models.
Methods in org.eclipse.ui.internal with parameters of type ISaveablesLifecycleListener
Modifier and Type
Method
Description
`void`
SaveablesList.`addModelLifecycleListener(ISaveablesLifecycleListener listener)`
Adds the given listener to the list of listeners.
`void`
SaveablesList.`removeModelLifecycleListener(ISaveablesLifecycleListener listener)`
Removes the given listener from the list of listeners.

## Uses of ISaveablesLifecycleListener in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator with parameters of type ISaveablesLifecycleListener
Modifier and Type
Method
Description
`void`
INavigatorSaveablesService.`init(ISaveablesSource source, StructuredViewer viewer, ISaveablesLifecycleListener listener)`
Initializes this service.
`final void`
SaveablesProvider.`init(ISaveablesLifecycleListener listener)`
Initializes this SaveablesProvider with the given listener, and calls the hook method doInit().